Page 1 of 1

PHP Version für CMSimple_XH 1.6.10

Posted: Sat Apr 18, 2020 10:39 am
by graf_ikea
Hallo,
weiß jemand bis zu welcher PHP Version das CMSimple_XH 1.6.10 funktioniert ?

Danke ...

Re: PHP Version für CMSimple_XH 1.6.10

Posted: Sat Apr 18, 2020 10:58 am
by cmss
Unter 7.2 hatte ich es in einige Monate in Betrieb. Allerdings hat es doch einige Nachteile (und einige versteckte weniger relevante Fehler) gegenüber dem github-master https://github.com/cmsimple-xh/cmsimple-xh oder der cleanen Version https://github.com/g7sim/cmsimple-XH-CL, die mit 7.4 getestet ist.

Re: PHP Version für CMSimple_XH 1.6.10

Posted: Sat Apr 18, 2020 11:44 am
by lck
graf_ikea wrote:
Sat Apr 18, 2020 10:39 am
weiß jemand bis zu welcher PHP Version das CMSimple_XH 1.6.10 funktioniert ?
Bis PHP-Version 5.6.3 auf alle Fälle, 5.6.4 sollte wohl dann auch noch funktionieren. Aber beachte, alte Versionen haben keinen Sicherheitssupport mehr und können ungepatchte Sicherheitslücken aufweisen.

Re: PHP Version für CMSimple_XH 1.6.10

Posted: Sat Apr 18, 2020 11:59 am
by frase
XH 1.6.10 läuft auch noch mit PHP 7.4.2 gut.
Es tauchen allerdings einige Deprecated-Warnungen und ein paar Notices im Backend auf.
Es sollte ein Uprade auf XH 1.7.2 erwogen werden - siehe Ludwigs (lck) Bemerkungen.

XH 1.7.2 wirft unter PHP 7.4.x auch ein paar Warnungen, die mit diesem Patch behoben werden können.

Re: PHP Version für CMSimple_XH 1.6.10

Posted: Mon Apr 20, 2020 9:52 am
by graf_ikea
Danke für eure Hilfe.

Aktualisieren ist doch die beste Wahl.